Groovy 1.7.0

## groovy.jmx.builder
Class JmxAttributeInfoManager

    java.lang.Object
      groovy.jmx.builder.JmxAttributeInfoManager

    class JmxAttributeInfoManager
    extends Object

This class is responsible for assembling JMX Attribute Info from the meta map. It cycles through the meta map from the Node and generate JMX Info objects used to expose information in the MBeanServer.

author:
  Vladimir Vivien

see:
  JmxMetaMapBuilder

Constructor Summary
`JmxAttributeInfoManager()`

Method Summary
`static ModelMBeanAttributeInfo` | `getAttributeInfoFromMap(Map map)` This method builds a single ModelMBeanAttribute info from a given meta data map object.
`static List` | `getAttributeInfosFromMap(Map metaMap)` Generates a list of ModelMBeanAttributeInfo from a list meta data Maps.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### JmxAttributeInfoManager

    JmxAttributeInfoManager()

Method Detail

### getAttributeInfoFromMap

    public static ModelMBeanAttributeInfo getAttributeInfoFromMap(Map map)

  This method builds a single ModelMBeanAttribute info from a given meta data map object.
  param:
    the map object containing the meta data
  return:
    the generated ModelMBeanAttribute Info object.

### getAttributeInfosFromMap

    public static List getAttributeInfosFromMap(Map metaMap)

  Generates a list of ModelMBeanAttributeInfo from a list meta data Maps.
  param:
    list of meta data maps
  return:
    ModelMBeanAttributeInfo

Copyright © 2003-2009 The Codehaus. All rights reserved.